{% extends "wafer/base.html" %}
{% load i18n %}
{% block title %}{{ object.userprofile.display_name }} - {{ WAFER_CONFERENCE_NAME }}{% endblock %}
{% block content %}
{% with profile=object.userprofile %}
<div class="row">
    <div class="col-md-2 text-center" id="profile-avatar">
        {% with profile.avatar_url as avatar_url %}
        {% if avatar_url != None %}
        <img src="{{ profile.avatar_url }}">
        {% endif %}
        {% endwith %}
        {% if can_edit %}
        <a class="btn btn-secondary btn-sm" href="#" rel="popover" data-toggle="popover"
           data-title="{% trans 'Changing your mugshot' %}" data-html="true"
           data-placement="bottom">{% trans 'Edit Mugshot' %}</a>
        <div class="popover-contents">
            {% blocktrans %}
            Pictures provided by <a href="https://www.libravatar.org/">libravatar</a>
            (which falls back to <a href="https://secure.gravatar.com/">Gravatar</a>).<br>
            Change your picture there.
            {% endblocktrans %}
        </div>
        {% endif %}
    </div>
    <div class="col-md">
        {% spaceless %}
        <h1>
            {% if profile.homepage %}
            <a href="{{ profile.homepage_url }}">
                {% endif %}
                {{ profile.display_name }}
                {% if profile.homepage %}
            </a>
            {% endif %}
        </h1>
        {% if profile.twitter_handle %}
        <p>
            <a href="https://twitter.com/{{ profile.twitter_handle }}" class="twitter-follow-button" data-show-count="false">
                {% blocktrans with handle=profile.twitter_handle %}Follow @{{ handle }}{% endblocktrans %}
            </a>
        </p>
        {% endif %}
        {% if profile.github_username %}
        <p>
            <a href="https://github.com/{{ profile.github_username }}">
                {% blocktrans with username=profile.github_username %}GitHub: {{ username }}{% endblocktrans %}
            </a>
        </p>
        {% endif %}
        {% endspaceless %}
    </div>
    {% if can_edit %}
    <div class="col-md-3">
        <div class="list-group">
            <a href="{% url 'wafer_user_edit' object.username %}" class="list-group-item list-group-item-action">{% trans 'Edit User' %}</a>
            <a href="{% url 'wafer_user_edit_profile' object.username %}" class="list-group-item list-group-item-action">{% trans 'Edit Profile' %}</a>
            {% if WAFER_REGISTRATION_OPEN %}
            {% if not object.attendee %}
            <a href="{% url 'register' %}" class="list-group-item list-group-item-action">{% trans 'Register' %}</a>
            {% else %}
            <a href="{% url 'register' %}" class="list-group-item list-group-item-action">{% trans 'Update Registration' %}</a>
            <a href="{% url 'unregister' %}" class="list-group-item list-group-item-action">{% trans 'Unregister' %}</a>
            {% endif %}
            {% endif %}
            <a href="{% url 'wafer_talk_submit' %}" class="list-group-item list-group-item-action">{% trans 'Submit Talk Proposal' %}</a>
            <a href="{% url 'wafer_volunteer' object.username %}" class="list-group-item list-group-item-action">{% trans 'Volunteer' %}</a>
        </div>
    </div>
    {% endif %}
</div>
{% if profile.bio %}
<div class="well">
    {{ profile.bio|linebreaks }}
</div>
{% endif %}
{% if can_edit %}
{% if profile.pending_talks.exists or profile.accepted_talks.exists or profile.provisional_talks.exists%}
{% if object.attendee %}
<div class="alert alert-success">
    {% blocktrans %}
    Registered
    {% endblocktrans %}
</div>
{% else %}
<div class="alert alert-danger">
    {% blocktrans %}
    <strong>WARNING:</strong>
    Talk proposal submitted, but not registered.
    {% endblocktrans %}
    {% if WAFER_REGISTRATION_OPEN %}
    {% trans "Register now!" %}
    {% endif %}
</div>
{% endif %}
{% endif %}
{% endif %}
{# Accepted talks are globally visible #}
{% if profile.accepted_talks.exists %}
<h2>{% trans 'Accepted Talks:' %}</h2>
{% for talk in profile.accepted_talks %}
<div class="well">
    <a href="{{ talk.get_absolute_url }}">{{ talk.title }}</a>
    <p>{{ talk.abstract.rendered|safe }}</p>
</div>
{% endfor %}
{% endif %}
{% if profile.cancelled_talks.exists %}
<h2>{% trans 'Cancelled Talks:' %}</h2>
{% for talk in profile.cancelled_talks %}
<div class="well">
    <a href="{{ talk.get_absolute_url }}">{{ talk.title }}</a>
    <p>{{ talk.abstract.rendered|safe }}</p>
</div>
{% endfor %}
{% endif %}
{% if profile.provisional_talks.exists %}
<h2>{% trans 'Provisionally Accepted Talks:' %}</h2>
{% for talk in profile.provisional_talks %}
<div class="well">
    <a href="{{ talk.get_absolute_url }}">{{ talk.title }}</a>
    <p>{{ talk.abstract.rendered|safe }}</p>
</div>
{% endfor %}
{% endif %}

{# Submitted talk proposals are only visible to the owner #}
{% if can_edit %}
{% if profile.pending_talks.exists %}
<h2>{% trans 'Submitted or Under Consideration Talks:' %}</h2>
{% for talk in profile.pending_talks %}
<div class="well">
    <a href="{{ talk.get_absolute_url }}">{{ talk.title }}</a>
    {% comment %}
    Because this is one of the author's pending talks, we don't need to
    check for edit permission's on the talk explictly. This doesn't show
    the edit button for people with 'change-talk' permissions, but we
    accept that tradeoff for simplicity here.
    {% endcomment %}
    <a href="{% url 'wafer_talk_edit' talk.pk %}" class="float-right btn btn-secondary btn-lg">{% trans 'Edit' %}</a>
    <p>{{ talk.abstract.rendered|safe }}</p>
</div>
{% endfor %}
{% endif %}
{% endif %}

{% if can_edit and object.bursary and object.bursary.request %}
{% with bursary=object.bursary %}
<h2>{% trans 'My bursary request' %}</h2>
<div class="well">
    <dl>
        <dt>{% trans 'Bursary request type' %}</dt><dd> {{ bursary.get_request_display }}</dd>
        <dt>{% trans 'Food and accommodation bursary status' %}</dt> <dd> {{ bursary.get_food_status_display }}</dd>
        {% if bursary.request == 'travel+food+accomm' %}
        <dt>{% trans 'Travel bursary status' %}</dt> <dd> {{ bursary.get_travel_status_display }}</dd>
        <dt>{% trans 'Travel bursary amount requested' %}</dt> <dd> {{ bursary.travel_bursary }} USD</dd>
        {% if bursary.reimbursed_amount %}
        <dt>{% trans 'Travel bursary amount reimbursed' %}</dt> <dd> {{ bursary.reimbursed_amount }} USD</dd>
        {% endif %}
        {% endif %}
    </dl>
    {% if bursary.can_update %}
    {% if bursary.food_status == 'pending' %}
    <p class="alert alert-success">
        {% blocktrans with date=bursary.food_accept_before|date %}
        Your food and accommodation bursary has been granted. You need to confirm it before {{ date }}.
        {% endblocktrans %}
    </p>
    {% endif %}
    {% if bursary.travel_status == 'pending' %}
    <p class="alert alert-success">
        {% blocktrans with date=bursary.travel_accept_before|date %}
        Your travel bursary has been granted. You need to confirm it before {{ date }}.
        {% endblocktrans %}
        {% endif %}

        {% if bursary.must_accept %}
        <p><a href="{% url 'bursary_update' %}" class="btn-lg btn btn-primary btn-success">{% trans 'Accept my bursary' %}</a></p>
        {% else %}
        <p><a href="{% url 'bursary_update' %}" class="btn-lg btn btn-primary">{% trans 'Update my bursary request' %}</a></p>
        {% endif %}
        {% endif %}
</div>
{% endwith %}
{% endif %}

{% if can_edit and object.invoices %}
{% with invoices=object.invoices.all %}
<h2>{% trans 'My invoices' %}</h2>
<div class="well">
    {% for invoice in invoices %}
    <div>
        <h4>Invoice # {{ invoice.reference_number }}</h4>
        <p>
            <div>Total: {{ invoice.total }} CAD</div>
            <div>Status: {{ invoice.get_status_display }}</div>
            <div><a class='btn btn-outline-primary' href="{% url "invoice_display" reference_number=invoice.reference_number%}">Display</a></div>
        </p>
    </div>
        {% endfor %}
</div>
{% endwith %}
{% endif %}

{% endwith %}
{% endblock %}
{% block extra_foot %}
    <script type="text/javascript">
        {% if profile.twitter_handle %}
        // Twitter boilerplate
        !function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (! d.getElementById(id)) {
                js = d.createElement(s);
                js.id = id;
                js.src = "//platform.twitter.com/widgets.js";
                fjs.parentNode.insertBefore(js, fjs);
            }
        }(document, "script", "twitter-wjs");
        {% endif %}

        $("#profile-avatar [rel=popover]").attr("data-content", $("#profile-avatar .popover-contents").html());
        $("a[rel=popover]").popover();
    </script>
{% endblock %}
